/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.ejb3.dd;

/**
 * Represents an ejb-local-ref element of the ejb-jar.xml deployment descriptor
 * for the 1.4 schema
 *
 * @author <a href="mailto:bdecoste@jboss.com">William DeCoste</a>
 * @version <tt>$Revision: 1.5.2.3 $</tt>
 */
public class EjbLocalRef
{

   private String ejbRefName;

   private String ejbRefType;

   private String localHome;

   private String local;

   private String ejbLink;

   private String injectionTarget;

   private String jndiName;

   public String getJndiName()
   {
      return jndiName;
   }

   public void setJndiName(String jndiName)
   {
      this.jndiName = jndiName;
   }

   public String getInjectionTarget()
   {
      return injectionTarget;
   }

   public void setInjectionTarget(String injectionTarget)
   {
      this.injectionTarget = injectionTarget;
   }

   public String getEjbRefName()
   {
      return ejbRefName;
   }

   public void setEjbRefName(String ejbRefName)
   {
      this.ejbRefName = ejbRefName;
   }

   public String getEjbRefType()
   {
      return ejbRefType;
   }

   public void setEjbRefType(String ejbRefType)
   {
      this.ejbRefType = ejbRefType;
   }

   public String getLocalHome()
   {
      return localHome;
   }

   public void setLocalHome(String localHome)
   {
      this.localHome = localHome;
   }

   public String getLocal()
   {
      return local;
   }

   public void setLocal(String local)
   {
      this.local = local;
   }

   public String getEjbLink()
   {
      return ejbLink;
   }

   public void setEjbLink(String ejbLink)
   {
      this.ejbLink = ejbLink;
   }

   public String toString()
   {
      StringBuffer sb = new StringBuffer(100);
      sb.append("[");
      sb.append("ejbRefName=").append(ejbRefName);
      sb.append("]");
      return sb.toString();
   }
}
